function dYdt = vpkw(t,Y,m1,m2,c1,c2,b,l01,l02,g,u)
%VPKW
%    DYDT = VPKW(T,Y,M1,M2,C1,C2,B,L01,L02,G,U)

%    This function was generated by the Symbolic Math Toolbox version 8.6.
%    05-Apr-2021 17:51:57

t2 = c1.*l01;
t3 = Y(1);
t4 = Y(2);
t5 = Y(3);
t6 = Y(4);
t7 = b.*t4;
t8 = b.*t6;
t9 = c1.*t3;
t10 = c1.*t5;
t11 = -t7;
t12 = -t9;
dYdt = [t4;(t2+t8+t10+t11+t12-g.*m1)./m1;t6;-(t2+t8+t10+t11+t12-c2.*l02+g.*m2+c2.*t5-c2.*u)./m2];
